# $Revision: 1.7 $, $Date: 2003/02/10 13:28:19 $
Summary:	NNTP server for small sites
Summary(pl):	Serwer NNTP przeznaczony dla nieduych serwerw
Name:		noffle
Version:	1.0.1
Release:	2
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/noffle/%{name}-%{version}.tar.gz
Source1:	%{name}.inetd
Patch0:		%{name}.DESTDIR.patch
Patch1:		%{name}-overflows.patch
URL:		http://noffle.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
Requires(post,postun):	rc-inetd
Requires:	inetdaemon
Provides:	nntpserver
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Noffle is a Usenet news server optimized for few users and low speed
dial-up connections to the Internet. It acts as a server to news
clients running on the local host, but gets its news feed by acting as
a client to a remote server.

%description -l pl
Noffle to serwer grup dyskusyjnych usenet zoptymalizowany pod ktem
kilku uytkownikw i wolnego cza komutowanego do internetu.
Zachowuje si on jako serwer dla klientw uruchamianych na maszynie
lokalnej, a wiadomoci ciga czc si jako klient do zdalnego
serwera.

%prep
%setup -q
%patch0 -p0
%patch1 -p1

%build
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man8} \
	$RPM_BUILD_ROOT{%{_sysconfdir}/%{name},/etc/sysconfig/rc-inetd} \
	$RPM_BUILD_ROOT%{_var}/spool/%{name}/{data,global,lock,outgoing,overview,requested}
touch $RPM_BUILD_ROOT%{_var}/spool/%{name}/{fetchlist,groupinfo.lastupdate}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	DOCDIR=$RPM_BUILD_ROOT%{_datadir}/doc/%{name}
	
install %{name}.conf.example $RPM_BUILD_ROOT/%{_sysconfdir}/%{name}.conf
install %{SOURCE1} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/nntpd

touch $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/groupinfo
#rm -f $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/config.example

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload 1>&2
else
	echo "Type \"/etc/rc.d/init.d/rc-inetd start\" to start inet server" 1>&2
fi

%postun
if [ -f /var/lock/subsys/rc-inetd ]; then
	/etc/rc.d/init.d/rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%doc README TODO NEWS INSTALL AUTHORS docs/FAQ docs/INTERNALS docs/NOTES
%attr(770,root,news) %dir %{_sysconfdir}/noffle
%attr(664,news,news) %ghost %{_sysconfdir}/noffle/*
%attr(640,root,news) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/%{name}.conf
%attr(750,root,news) %{_bindir}/noffle
%attr(2770,news,news) %dir %{_var}/spool/%{name}/data
%attr(2770,news,news) %dir %{_var}/spool/%{name}/global
%attr(2770,news,news) %dir %{_var}/spool/%{name}/lock
%attr(2770,news,news) %dir %{_var}/spool/%{name}/outgoing
%attr(2770,news,news) %dir %{_var}/spool/%{name}/overview
%attr(2770,news,news) %dir %{_var}/spool/%{name}/requested
%attr(2770,news,news) %dir %{_var}/spool/%{name}
%attr(640,root,root) /etc/sysconfig/rc-inetd/nntpd
%{_mandir}/man1/*
%{_mandir}/man5/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: noffle.spec,v $
Revision 1.7  2003/02/10 13:28:19  qboosh
- added patch for buffer overflows (taken from Debian updates)
- updated URL, config(noreplace)
- release 2, STBR to ra/updates/security

Revision 1.6  2002/10/07 14:04:43  qboosh
- BR: autoconf,automake,libtool; new %%doc

Revision 1.5  2002/06/23 20:32:32  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.4  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.3  2002/05/21 10:07:39  qboosh
- little cleanup, added missing Log tag
